=== debian/changelog ===
kiss (0.0.0+p24.04+vunstable+git20250901.0918-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 09:18:56 +0000

kiss (0.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 09:35:20 +1000
