## kiss 0.0.0+p24.04+vunstable+git20250901.0938

=== debian/changelog ===
kiss (0.0.0+p24.04+vunstable+git20250901.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 09:38:30 +0000
