## kiss icp-0.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 # LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 # SOFTWARE.
-cmake_minimum_required(VERSION 3.16...3.24)
-project(kiss_icp_pybind VERSION 0.2.3 LANGUAGES CXX)
+cmake_minimum_required(VERSION 3.16...3.26)
+project(kiss_icp_pybind VERSION 0.2.5 LANGUAGES CXX)
 
 # Set build type
 set(CMAKE_BUILD_TYPE Release)
